#######################################################################
##
## To see the viewport issue, launch game and click "About"
##


transform ingamemenu:
    on show:
        zoom 0.8
        yalign 0.5
        alpha 0
        ease 0.2 zoom 1.1 alpha 1
        ease 0.1 zoom 1.0
    on hide:
        zoom 1.0
        yalign 0.5
        alpha 1
        ease 0.2 zoom 1.1 alpha 0

transform tintbg(tint):
    matrixcolor TintMatrix(tint)

screen popupModal(ypos,padding,bg=Frame("gui/ModalDialogwhite.png", 19,19),ymax=None):
    modal True
    layer "top"
    add "gui/overlay/confirm.png"
    frame:
        if ymax is not None:
            ymaximum ymax
        background bg
        at ingamemenu
        xsize 438
        align (0.5,ypos)
        padding padding

        transclude

image navy = Solid("#406258")

screen creditsModal():

    layer "top"
    modal True
    use popupModal(0.5,(20,25),Frame(At("gui/ModalDialogwhite.png",tintbg("#b2e4d7")),19,19)):
        vbox:
            text "Credits" color "#000" xalign 0.5
            spacing 10
            side ("c r"):
                viewport id "creditsvp":
                    mousewheel True
                    draggable True
                    ysize 300
                    frame:
                        padding (15,15)
                        xfill True
                        yfill True
                        style "empty"
                        background "navy"
                        vbox:
                            xfill True
                            text "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Risus nullam eget felis eget nunc lobortis mattis aliquam faucibus. Euismod elementum nisi quis eleifend quam. Vulputate dignissim suspendisse in est. Consequat ac felis donec et. At auctor urna nunc id cursus metus aliquam. Pulvinar pellentesque habitant morbi tristique. Amet nisl purus in mollis nunc sed id semper. Dignissim sodales ut eu sem integer vitae justo eget magna. Mattis enim ut tellus elementum. Amet nisl purus in mollis nunc sed id semper risus. Dis parturient montes nascetur ridiculus mus mauris vitae ultricies leo. Nisl nunc mi ipsum faucibus vitae. Neque vitae tempus quam pellentesque nec nam aliquam sem et. Est ultricies integer quis auctor elit sed vulputate mi. Egestas tellus rutrum tellus pellentesque eu tincidunt tortor. Eget nulla facilisi etiam dignissim diam quis enim. Adipiscing at in tellus integer feugiat. Consectetur adipiscing elit duis tristique sollicitudin nibh sit amet commodo. Sodales neque sodales ut etiam sit amet nisl purus in. Mi tempus imperdiet nulla malesuada pellentesque. At auctor urna nunc id cursus metus aliquam eleifend. Eget nunc scelerisque viverra mauris in aliquam sem fringilla. Id aliquet lectus proin nibh nisl condimentum id venenatis a. Euismod nisi porta lorem mollis aliquam ut porttitor leo. Elit pellentesque habitant morbi tristique senectus et netus et. Nibh sit amet commodo nulla facilisi nullam. Mattis vulputate enim nulla aliquet porttitor lacus."
                vbar value YScrollValue("creditsvp")
            null height 10
            textbutton "BACK":
                background Frame(At("gui/ModalDialogwhite.png",tintbg("#406258")), 20,20)
                text_xalign 0.5
                padding (15,15)
                text_size 17
                xfill True
                text_color "#fff"
                action Hide("creditsModal")
